Skip to main content
POST
/
commerce
/
inventory
/
v5
/
inventory
/
aggregate
Error
A valid request URL is required to generate request examples
[
  {
    "available": 123,
    "floor": 123,
    "messages": [
      "<string>"
    ],
    "numResults": 123,
    "onHand": 123,
    "partNumber": "<string>",
    "sku": "<string>",
    "success": true,
    "tags": {},
    "tenantID": 123,
    "upc": "<string>"
  }
]

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

x-vol-site
integer

Site ID

Body

application/json

Request to aggregate inventory

Request for aggregating inventory

directShip
boolean

Whether to limit results to locations that are shipping enabled

forceDefaultsForUnspecifiedTagCategories
boolean

Whether to force populate default tags onto the request if they are unspecified for any tag category

futureEndDate
string<date-time>

Future end Date at which the inventory should be allocated against.

futureStartDate
string<date-time>

Future start Date at which the inventory should be allocated against.

ignoreSafetyStock
boolean

Whether to ignore the safety stock buffer put in place

includeFutureInventory
enum<string>

Enum for including future inventory: [futureOnly, futureAndCurrent]

Available options:
futureOnly,
futureAndCurrent
includeNegativeFutureInventory
boolean

Whether to allow items with negative future inventory in the results

includeNegativeInventory
boolean

Whether to allow items with negative inventory in the results

items
Item · object[]

List of Items to search on

locationCode
string

Location Code

pageNum
integer

which page to show

pageSize
integer

how many results to show per page

pickup
boolean

Filter results by pickup enabled (true) or not (false)

sortBy
string

index to sort results by

tags
object

Associative Map of <String, String> for tagCategoryName => tagName

transferEnabled
boolean

Filter results by locations that have transfer enabled (true) or don't (false)

userID
integer

user id

Response

Success

available
integer

The quantity the location has that are available for purchase

floor
integer

Absolute minimum quantity of this item that should be in stock at any time

messages
string[]

List of messages

numResults
integer

Number of results

onHand
integer

The quantity the location has in its possession

partNumber
string

Part/Product Number

sku
string

Stock Keeping Unit

success
boolean

Flag for success

tags
object

Associative Map of <String, String> for tagCategoryName => tagName

tenantID
integer

Manufacturer Identifier

upc
string

Universal Product Code